Skip to content
Documentation
Explore guides

For administrators

Skill categories

List, create, show, update, and delete skill categories in the company.

Contents

Before you start

Send Accept: application/json and Authorization: Bearer YOUR_TOKEN to https://{subdomain}.talentohq.com. See API for authentication.

Path and query identifiers are UUID strings.

Successful responses use 200. Validation failures use 422. Missing or invalid tokens, and records that cannot be found, use 401.

List all skill categories

GET /api/v3/skill_categories

Results are paginated. Pass page to move through pages of 50 records.

Response 200

[
  {
    "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
    "name": "Languages",
    "description": "Language skills",
    "colour": "green"
  },
  {
    "id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
    "name": "Languages",
    "description": "Language skills",
    "colour": "green"
  }
]

Create a skill category

POST /api/v3/skill_categories

Request

{
  "name": "Languages",
  "description": "Language skills",
  "colour": "green"
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "Languages",
  "description": "Language skills",
  "colour": "green"
}

Show a skill category

GET /api/v3/skill_categories/{skill_category_id}

Parameter Type Description
skill_category_id string (UUID) Skill category id.

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "Languages",
  "description": "Language skills",
  "colour": "green"
}

Update a skill category

PUT /api/v3/skill_categories/{skill_category_id}

Request

{
  "name": "Languages updated",
  "description": "Updated description",
  "colour": "orange"
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "Languages updated",
  "description": "Updated description",
  "colour": "orange"
}

Delete a skill category

DELETE /api/v3/skill_categories/{skill_category_id}

Response 200

{}